%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pretend
Version:       1.0.9
Release:       2mamba
Summary:       A library for stubbing in Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/alex/pretend
Source:        https://pypi.debian.net/pretend/pretend-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pretend-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%{python_sitelib}/__pycache__/pretend.cpython-*.pyc
%{python_sitelib}/%{pkgname}.py

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 1.0.9-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Tue Aug 15 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-1mamba
- package created using the webbuild interface
